This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979749 - Review Request: rubygem-time-lord - Managing concepts of time and space in Ruby
Review Request: rubygem-time-lord - Managing concepts of time and space in Ruby
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 979752
  Show dependency treegraph
 
Reported: 2013-06-30 04:31 EDT by Ricky Elrod
Modified: 2016-01-04 00:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-11 23:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-06-30 04:31:11 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/rubygem-time-lord/rubygem-time-lord.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/rubygem-time-lord/rubygem-time-lord-1.0.1-1.fc19.src.rpm
Description:
time-lord is a gem that gives you more human like expressions for time and
space math. Underneath the covers time-lord gives you single purpose objects
for handling the more complex parts of Time & Space. Specifically conversion,
periods between two points, and scaling.
Fedora Account System Username: codeblock
Comment 1 Josef Stribny 2013-09-11 05:34:52 EDT
Taking.
Comment 2 Josef Stribny 2013-09-11 06:14:53 EDT
1, "# I filed a bug on this upstream, but this works around it for now."
   In such cases. please always include the link to the upstream bug.

2, The package should BuildRequires: ruby(release) for >= f19 and BuildRequires: ruby(abi) for < f19

3, Please change BuildRequires of rubygem(timecop), rubygem(yard), rubygem(pry), ... to the new syntax: rubygem-timecop, rubygem-yard, rubygem-pry, ...

4, Don't use rake for running the test suite, ideally use MiniTest. See the guidelines [1]

5, Get rid of Bundler dependency as it's not needed and it's problematic to use in packages.

6, 'pry', 'coveralls', 'timecop' are listed as development dependencies... are they really needed for tests? I think if you delete those lines from the test suite, it will work without them. Less dependencies -> better.

7, Introduce -doc subpackage according to guidelines [1], separate files, mark %doc files, exclude gem cache and keep the rakefile:

For main package:

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/COPYRIGHT

For -doc subpackage:

%files doc
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}
%{gem_instdir}/Rakefile


[1] https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby
Comment 3 Ken Dreyer 2013-12-30 21:20:06 EST
(In reply to Josef Stribny from comment #2)
> 1, "# I filed a bug on this upstream, but this works around it for now."
>    In such cases. please always include the link to the upstream bug.

For reference, the URL was https://github.com/krainboltgreene/time-lord/issues/14

> 2, The package should BuildRequires: ruby(release) for >= f19 and
> BuildRequires: ruby(abi) for < f19

Also, now that F18 is EOL, you can remove this and just use ruby(release).

In addition to the above comments, you can remove the text about kramdown being absent from Fedora (it's present now), and change the URLs to HTTPS.
Comment 4 Ricky Elrod 2014-05-11 23:22:52 EDT
Bumping out of my bug queue for now as I don't need this anymore.

Note You need to log in before you can comment on or make changes to this bug.